<?

# Нужен ли слэш в конце?
$slash = (substr($_SERVER['DOCUMENT_ROOT'],strlen($_SERVER['DOCUMENT_ROOT'])-1)=='/') ? '' : '/';

# Директория CMS
if (!defined('CMS_FOLDER'))
{
        define('CMS_FOLDER',$_SERVER['DOCUMENT_ROOT'].$slash);
}

# echo CMS_FOLDER;

/*
Если выдается сообщение «Ошибка соединения с БД»
1. Проверить содержание и наличие config_db.php
2. Проверить, что содержит константа CMS_FOLDER в config.php
Проверить можно, выведя ее значение командой echo CMS_FOLDER;

Если директория не соответствует реальному полному пути - необходимо закомментировать define('CMS_FOLDER', ...
и прописать полный путь следующим образом (пример для Windows машины):
# Директория CMS
define('CMS_FOLDER','c:\mydir\mysite\\'); # Двойной слэш в конце, чтобы не экранировать апостроф

Пример для Unix машины
# Директория CMS
define('CMS_FOLDER','/home/user1/dir1/htdocs/'); 
*/

# Подключаем файл конфигурации, если он есть
if (is_file(CMS_FOLDER.'config_db.php'))
{
	require_once(CMS_FOLDER.'config_db.php');
}

# Константа, определяющая возможность внесения изменений на сайт из раздела администрирования
# define ('READ_ONLY', false);

define('CACHE_DIR',CMS_FOLDER.'cache/');

define('PAGE_DIR',CMS_FOLDER.'documents/');

# Глобальный массив для определения языка
global $g_lng;

$g_lng = array();
$g_lng['ru'] = 'Русский';
// $g_lng['en'] = 'Английский';

?>